% definindo o sistema de EDO's
F = @(s,z) Exemplo(s,z);

% tempo inicial e final
t0=0;               % tempo inicial
tf=2*pi;            % tempo final
h=0.05;             % passo de integracao
N=ceil((tf-t0)/h);  % numero de integracoes

% condicoes iniciais
xi=-1;         % valor minimo de x
xf=1;          % valor máximo de x
dx=0.01;       % incremento de x

figure;

% representando a diagonal
x=(xi:dx:xf);
plot(x,x,':') 
hold on

% aplicando o metodo RKF45
% para cada condicao inicial na secao transversal

M = length(x);

for i=1:M
  x0=x(i);
  z = RK4(t0,tf,h,x0,F); % x(i) eh a condicao inicial
  px(i)=z(N); % imagem pela transformacao de Poincare

end

% representacao grafica do resultado
plot(x,px)
hold on

% expressao exata da transformacao de Poincare

py = exp(2*pi)*x- 0.5;

% representacao grafica da transformacao exata
%plot(x,py)
hold on


